<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Stack</title>
    <style>
        .wrapper{
            border: 2px solid black;
            margin: 10px;
            padding: 10px;
        }
    </style>
</head>
<body>
   <div class="wrapper">
       <h4>Enter an infix formula:</h4>
    <input type="text" name="infix" id="infix">
    <button onclick="inToPost()">Postfix</button>
    
    <p id="postfix"></p>
   </div>
   
   <div class="wrapper">
        <h4>Enter a text: </h4>
        <input type="text" name="sym" id="sym">
        <button onclick="Symmetry()">Check</button>
    
        <p id="symcheck"></p>
   </div>
   <div class="wrapper">
       <h4>Add to SLinkList: </h4>
       <input type="text" name="nval" id="nval">
       <button onclick="addToList()">Add</button>
       <p id="nodeoflist"></p>
       
       <button onclick="addAfter4()">Add After 4</button>
       <p id="nodeoflist2"></p>
   </div>
    <div class="wrapper">
        <h4>Add in BST Tree </h4>
        <input type="number" id="addbst">
        <button onclick="addToTree()">Add</button>
        
        <button onclick="showInorder()">Show Inorder</button>
        <p id="inorder"></p>
    </div>
    
    <script src="stack.js"></script>
    <script src="queue.js"></script>
    <script src="list.js"></script>
    <script src="tree.js"></script>
    <script src="main.js"></script>
    
</body>
</html>